Subject: Re: Ethics o' Code Liftin'

From: [email-masked] (Karl Boyken)
Date: Fri, 19 Nov 1993 06:56:08 -0800

Okay, hopefully the last thing I'll have to say about this (maybe--no 
guarantees  :) ). I am not advocating indiscriminate copying of MOO code 
without regard to the authors' wishes.  I don't do it, and if anyone I know 
did it, I'd tell them not to--in fact, I have.

But (you _knew_ this was coming) I also am idealistic--I'd like to see MOOs 
remain untrammeled by legalistic squabbles.  I'd like to see us solve our 
own problems without reference to RL legalities.  I'd _really_ like to see a 
VR community that subscribes in spirit to the GNU foundation's copyleft 
concept.  I practice what I preach, in RL as well as in VR--I have a couple 
software packages floating around in RL with my name on them, which are 
freely distributable.  One of them is a package that can be used to help 
manage Novell LANs; given the market, I probably could have gotten some $$$ 
for it, but I chose not to.

I'm not trying to set myself up as a saint.  I've got a good job and am not 
just starting out and trying to get a foothold.  Maybe if I were younger, 
poorer, and (let's face it) more ambitious, I'd be asking for money.

I don't have anything against anyone wanting to be paid for their work.  But 
I believe that if we start dragging RL legalities into VR, it will bite us 
on our collective ass.  Besides the things I've already pointed out, let me 
throw in one more.  I'm assuming that at least some of you have RL 
programming jobs.  It's possible that if you do try to claim RL ownership of 
your MOO code, your employer might claim it instead.  I've worked as an 
application programmer.  Some companies require you to relinquish claim to 
_any_ software you write while employed--even software you write on your own 
time, with your own resources.  Even companies that don't require employees 
to sign such agreements can possibly claim their employees' code, if they 
can show that any of the resources, including training, that the company has 
provided has been used in producing the code.

I know that some of you who want to copyright your MOO code are sitting 
there saying, "Yeah, right--it won't happen to me."  But copyrights _will_ 
eventually lead to court, and when lawyers and judges become involved in 
anything, no one can predict what will happen.  We need to find some VR 
means of allowing authors to control their code if they want to.  By 
dragging RL copyright concepts onto the MOOs, you in effect will be handing 
control over your code to the RL court system.  You risk losing any claim at 
all on your own code.  It _will_ happen, to some of you, sometime.  You 
heard it here first.

Karl Boyken, aka Klaatu (a MOO Cassandra)

Karl Boyken, system programmer, Dept. of Computer Science
303A MLH, The University of Iowa, Iowa City, IA  52242
voice:  319-335-2730   fax:  319-335-0627
Internet:  [email-masked]